The Best Geek Forum

reaver-wps-fork installazione.

Siamo pronti a sperimentare ogni nuova distribuzione. La presenza dei nostri veterani Linux garantisce la risposta perfetta per il mondo dell'open source.

Moderatore: Moderatore in prova

Salve, ho provato ad installare reaver 1.5, ma quando vado da terminal a dare il comando ./configure mi da errore, mi dice
error: pcap library not found. Ho provato ad aggiornare ma nulla, mi dice che non c'è nulla da aggiornare.
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for pcap_open_live in -lpcap... no
error: pcap library not found!
Usi Kali giusto? reaver 1.5.2 è l'ultima versione di reaver ed è possibile aggiornala tramite apt senza scaricare pacchetti manualmente o altro:

Codice: Seleziona tutto

apt-get update
apt-get install reaver
apt-get dist-upgrade
Ciao grazie dopo ci provo. Ho un altra domanda da fare e cioè che quando lancio airmon-ng start wlan mi scompare (per capirci) il computerino in alto a destra dove mi connetto ad internet, in pratica la scheda di rete. Come faccio per riattivare senza riavviare il PC ?? Grazie.
riavvii il network manager:

Ciao, mi dice che reaver è gia' alla versione più recente, ma quando faccio reaver su terminal mi dice V 1.4
Virgula ha scritto:Usi Kali giusto? reaver 1.5.2 è l'ultima versione di reaver ed è possibile aggiornala tramite apt senza scaricare pacchetti manualmente o altro:

Codice: Seleziona tutto

apt-get update
apt-get install reaver
apt-get dist-upgrade
Allora immagino che tu abbia eseguito da terminale (con privilegi root), i comandi che ti ho indicato sopra. Se l'hai fatto vuol dire semplicemente, che il team Offensive Security non ha ancora aggiornato i repository di reaver all'ultima versione, per questo non te la scarica. Ad esempio, io su parrot facendo così ce l'ho all'1.5.2... Aspetta qualche giorno , il tempo che aggiornino tutto , rifai i comandi che ti ho detto e vedi che il tool verrà automaticamente aggiornato. In alternativa se hai fretta vediamo come possiamo fare per aggiornarlo manualmente.
Vorrei provare ad aggiornare manualmente di modo che da usb ogni volta che accedo a kali non devo connettermi a internet ma lo faccio direttamente con il programma salvato su hd interno.
L'errore che mi da è quello che ti ho postato

checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for pcap_open_live in -lpcap... no
error: pcap library not found!


Ahhh dimenticavo, pixiewps si è installato tranquillamente.
prova ad installare prima alcuni pacchetti, caricarli e poi d eseguire lo script configure:

Virgula ha scritto:prova ad installare prima alcuni pacchetti, caricarli e poi d eseguire lo script configure:


Ecco quello che mi da digitando la prima stringa che mi hai scritto:

Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Il pacchetto libsqlite3-dev non ha versioni disponibili, ma è nominato da un altro
pacchetto. Questo potrebbe indicare che il pacchetto è mancante, obsoleto
oppure è disponibile solo all'interno di un'altra sorgente

E: Impossibile trovare il pacchetto libpcap-dev
E: Il pacchetto "libsqlite3-dev" non ha candidati da installare
E: Impossibile trovare il pacchetto python-libpcap
Recati nella cartella /etc/apt e cerca un file di nome sources.list

e aggiungi i seguenti repository, sotto gli altri già scritti:

Codice: Seleziona tutto

deb http://http.kali.org/kali sana main non-free contrib
deb-src http://http.kali.org/kali sana main non-free contrib
deb http://security.kali.org/kali-security/ sana/updates main contrib non-free
deb-src http://security.kali.org/kali-security/ sana/updates main contrib non-free
salva ed esci

poi da terminale:

Codice: Seleziona tutto

sudo apt-get update && apt-get install libpcap-dev libsqlite3-0 libpcap0.8 libsqlite3-dev python-libpcap && pip install pypcap && import pcap && ./configure 
devi fare il copia e incolla nel terminale di tutto il codice a partire da sudo apt-get update fino a ./configure nella stesso comando quindi, senza separare la prima riga dalla seconda.